@import url('https://fonts.googleapis.com/css2?family=Bangers&family=Outfit:wght@300;400;600&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background: linear-gradient(#050423,#031E65);
    background-repeat: no-repeat;
    height: 100vh;
    overflow: hidden;
}

.container{
    height: 100%;
    max-width: 100%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;

}

header{
    width: 100%;
}

nav{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: .5rem 1rem;
}

.logo{
    width: 4rem;
}

.logo img{
    width: 100%;
}

nav ul{
    list-style-type: none;
    display: flex;
    
}

nav .home{
    color: #850106;
    border-bottom: 1px solid #850106;
}

nav ul a{
    padding: 0 10px;
    text-decoration: none;
    color: white;
    font-family: 'Bangers', cursive;
    font-size: 30px;
    transition: all 0.5s ease-in-out;
}

nav ul a:hover{
    color: #850106;
}

.mobile-menu{
    display: none;
    cursor: pointer;
}

.mobile-menu div{
    width: 32px;
    height: 2px;
    background-color:#850106;
    margin: 8px;
    transition: 0.3s;
}

.mobile-menu.active .hamb1:nth-child(1) {
    transform: rotate(-50deg) translate(-8px, 9px);
}

.mobile-menu.active .hamb2:nth-child(2) {
    opacity: 0;
}

.mobile-menu.active .hamb3:nth-child(3) {
    transform: rotate(50deg) translate(-5px, -8px);
}

.main{
    display: flex;
    align-items: center;
    width: clamp(340px, 100%, 1110px) ;
    height: 100%;
    padding: 0 2rem;
    
}

.text{
    display: flex;
    flex-direction: column;
    gap: 1rem;
    padding-bottom: 10rem;
    align-items: center;
    justify-content: center;
    width: 50%;
}

.text h1{
    font-size: 4.5rem;
    color: #fff;
    font-family: 'Bangers', cursive;
    text-shadow: 3px 0 #850106,
    -3px 0 #850106,
    0 3px #850106,
    0 -3px #850106,
    2px 2px #850106,
    -2px -2px #850106,
    2px -2px #850106,
    -2px 2px #850106;
    text-align: center;
}

.paragrafo{
    font-weight: 400;
    text-align: center;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    color: #fff;
    padding: 1rem;
}

.link{
    cursor: pointer;
    text-decoration:none ;
    color: white;
    border-radius: 20px;
    padding: .5rem 1rem;
    font-weight: 300;
    background-color: #850106;
    box-shadow: .1rem .1rem .3rem #222;
    transition: .4s;
    font-family: 'bangers';
}

.link:hover{
    transform: scale(1.15);
}

.contentimage{
    width: 50%;
    display: flex;
    justify-content: center;
}

.img{
    height: max-content;
    width: 100%;
    padding: 5rem 1rem;
    clip-path: circle(46%);
}


@media (max-width: 783px){   
    body{
        height: 100%;
        overflow: auto;
    }

    .list{
        position: fixed;
        top: 12vh;
        right: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.863);
        flex-direction: column;
        align-items: center;
        gap: 5rem;
        padding: 2rem;
        border-radius: .5rem;
        transform: translateX(100%);
        transition: transform 0,3s ease;
        color: white;
        display: flex;
    }

    .mobile-menu{
        display: block;
    }

    .mobile-menu.active {
        transform: rotate(180deg);
    }

    .list.active{
        transform: translateX(0);    
    }


    /*main*/
    .main{
        flex-direction: column;
    }

    .text{
        width: 100%;
        padding-bottom: 3rem;
    }

    .text h1{
        font-size: 3.5rem;
        margin-top: 2rem;
    }

    .link{
        font-size: 1rem;
    }

    .img{  
       width: 26.5rem;
       padding: 1rem 0 0 0;
    }

}

/* @media (min-height: 813px){
    .img{
        padding-top: 15rem;
    }
} */

